
:root {
    --headerHigh: 90px;
}
*, *::after, *::before {
    box-sizing: border-box;
}

input:-webkit-autofill,
input:-webkit-autofill:focus {
    transition: background-color 600000s 0s, color 600000s 0s;
}
/* input[data-autocompleted] {
    background-color: linear-gradient(to bottom, #31d206 0%, #299407 50%, #0d3b01 100%)!important;
    backdrop-filter: blur(10px) !important;
} */
/*Change text in autofill textbox*/
input:-webkit-autofill{
    -webkit-text-fill-color: #fff !important;
    text-shadow: 0px 0px 4px #70fb15 !important;
}

.fix-autofill-bg {
    border-radius: 10px;
    background: linear-gradient(to bottom, #31d206 0%, #299407 50%, #0d3b01 100%);
}



body {
    font-family: Roboto, sans-serif;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    min-height: 100vh;
    background:#00412b;
    position: relative;
    overflow: unset;
}

img {
    max-width: 100%;
}
p{
    margin: 0;
    padding: 0;
}
a,a:hover,a:focus{
    text-decoration: none ;
    color: unset;
}
ul {
    padding-left: 0;
    margin: 0;
}
li {
    list-style: none;
    padding-left: 10px;
}
.flex {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
}

.header {
    position: sticky;
    -webkit-position: sticky;
    top: 0;
    left: 0;
    width: 100%;
    display: flex;
    justify-content: space-between;
    height: 80px;
    padding: 0px;
    background: linear-gradient(to bottom, #fff, #a3a6a4);
    z-index: 10;
}
.header > div {
    padding: 10px;
}
.hd-logo {
    position: relative;
    width: 200px;
    height: 100%;
    background: linear-gradient(to bottom, #00bb23 0%,#148223 50%, #136546 100%);
}
.hd-logo::before {
    position: absolute;
    content: "";
    top: 0;
    right: -40px;
    width: 40px;
    height: 100%;
    background: linear-gradient(to bottom, #00bb23 0%,#148223 50%, #136546 100%);
    clip-path: polygon(0% 0%, 100% 0, 0% 100%);
}
.hd-logo img {
    height: 100%;
}
.hd-menu {
    flex-basis: 40%;
}


.btn-hd {
    width: 200px;
    height: 50px;
    margin: 0 5px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 5px;
    background: #fee71b;
    background-image: linear-gradient(to right top, #ffc400, #ffca03, #ffd107, #ffd70d, #ffde13, #ffe22c, #fee73d, #feeb4c, #feee65, #fff17c, #fff391, #fff6a6);
    color: #2b2700;
    white-space: nowrap;
    font-size: 24px;
    text-transform: uppercase;
    font-weight: 600;
    width: 200px;
    text-align: center;
    box-shadow: 0 5px 5px 0px #929292;
    transition: all 200ms ease-in-out;
}

.btn-hd:hover{
    background: #FFFF1B;
    color: #2b2700;
    transform: scale(1.02) translateY(3px);    
}

.page {
    position: relative;
    height: 100vh;
    overflow-y: hidden;
    color: white;
    justify-content: flex-start;
}

.page1 {
    margin-top: -30px;
    background:#00412b url(../images/background-one.jpg) no-repeat bottom center / cover;
}
.page2 {
    background:#00412b url(../images/background-two.jpg) no-repeat top center / cover;
}
.page3 {
    background:#00412b url(../images/background-three.jpg) no-repeat top center / cover;
}
.page4 {
    background:#00412b url(../images/background-four.jpg) no-repeat top center / cover;
}
.page-ct{
    max-width: 1400px;
    margin: 0 auto;
    padding: 40px 15px 30px 15px;
    display: flex;
    flex-direction: column;
    align-items: center;
}
/*#region page 1 */
.main-banner {
    flex-direction: column;
}
.img-euro {
    padding-top: 12px;
}
/*#endregion page 1 */

/*#region page 2 */
#predictionForm {
    display: flex;
    flex-direction: column;
    align-items: center;
    max-width: 1000px;
    margin: 0 auto;
    margin-top: 40px;
    padding: 30px 100px;
    border: 1px solid white;
    border-radius: 15px;
    /* background: rgba(255, 255, 255, 0.35); */
    background: #053f28; 
    backdrop-filter: blur(5px);
    background: url(../images/form-body-ldp.webp) no-repeat center center;
    background-size: cover;
}
#predictionForm .flex {
    width: 100%;
    position: relative;
}

.form-section {
    margin-bottom: 20px;
}
.predict-final-teams {
    display: flex;
    justify-content: center;
    align-items: center;
}
.title-2team img {
    width: auto;
    height: 40px;
}
.title-score img{
    width: auto;
    height: 60px;
}
.title-champ img{
    width: auto;
    height: 50px;
}
.btn-pick-team{
    width: 240px;
    height: auto;
    padding: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    border: 2px solid #fff;
    border-radius: 10px;
    background: linear-gradient(to bottom, #31d206 0%, #299407 50%, #0d3b01 100%);
    cursor: pointer;
}
.btn-pick-team.score {
    width: 70px;
    height: auto;
    text-align: center;
}
.btn-pick-team.score::placeholder,
.btn-pick-team.username::placeholder {
    color: #efcd09 !important;
    text-align: center;
    text-shadow: 0 2px 3px black;
}
.btn-pick-team.username {
    width: 288px;
    text-align: center;
}
.img-vs {
    margin: 0 7px;
}
.pre-label {
    font-family: "Montserrat", sans-serif;
    font-size: 29px;
    text-transform: uppercase;
    font-weight: 900;
    color: #ffffff;
    text-shadow: 0 2px 3px #b33d3d, 0 3px 4px rgb(1, 199, 50);
    margin-bottom: 7px;
}
.name-style{
    font-family: "Montserrat", sans-serif;
    font-size: 20px;
    text-transform: uppercase;
    font-weight: 900;
    color: #efcd09;
    text-shadow: 0 2px 3px black;
}
.champion-input {
    flex-direction: column;
}
input.name-style {
    color: #fff;
    text-shadow: 0px 0px 4px #70fb15;
}

.teams-container {
    flex: 1;
}
.select-team {
    position: relative;
}
.dropdown-team{
    display: none;
    position: absolute;
    top: 48px;
    left: 0;
    width: 100%;
    background: rgba(0,49,26,.67);
    -webkit-background: rgba(0,49,26,.67);
}
.list-team{
    max-height: 300px;
    overflow-y: auto;
}
.list-team::-webkit-scrollbar {
    width: 10px;
}
/* Track */
.list-team::-webkit-scrollbar-track {
    box-shadow: inset 0 0 5px grey; 
    border-radius: 10px;
  }
   
  /* Handle */
  .list-team::-webkit-scrollbar-thumb {
    background: rgba(255, 255, 255,0.5); 
    border-radius: 10px;
  }
  
  /* Handle on hover */
  .list-team::-webkit-scrollbar-thumb:hover {
    background: rgba(255, 255, 255,1); 
  } 


.list-team li {
    border-bottom: 1px solid #28a745;
}
.btn-select {
    width: 100%;
    text-align: left;
    background: #28a745;
    height: 47px;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    font-family: "Montserrat", sans-serif;
    font-size: 29px;
    text-transform: uppercase;
    font-weight: 900;
    color: #efcd09;
    text-shadow: 0 2px 3px black;
    border-radius: 5px;
}
.btn-select li,
.list-team li {
    height: 35px;
    padding: 5px 10px;
    cursor: pointer;
    display: flex;
    align-items: center;
    color: #fff;
}
.btn-select li img,
.list-team li img{
    max-height: 100%;
    margin-right: 10px;
    border: 1px solid #fff;
    border-radius: 4px;
    width: 30px;
}
.list-team li:hover {
    background: rgba(1, 129, 69, 0.67);
}
/*#endregion page 2 */
/*#region page 3 */
.tnc-rules{
    color: white;
    font-size: 20px;
    text-shadow: 0 1px 1px #01410f,0 1px 1px #01410f;
    border: 1px solid white;
    border-radius: 15px;
    background: #053f28;
    padding: 25px;
}
.tnc-title,
.prizes {
    display: flex;
    flex-direction: column;
    align-items: center;
}
.tnc-title img {
    max-height: 72px;
    width: auto;
}
.reward-cards {
    display: flex;
}
.phanthuong {
    margin-top: 30px;
    color: red;
    font-size: 50px;
    text-transform: uppercase;
    font-weight: 900;
    font-family: 'Montserrat', sans-serif;
    text-shadow: 0 1px #fff, 1px 0 0 #fff;
}
/*#endregion page 3  */
/*#region page 4  */
.page4 .page-ct > div {
    margin-bottom: 30px;
}
.steps {
    display: flex;
}
.thanks img {
    margin-top: 100px;
    height: 70px;
} 
/*#endregion page 4  */

input {
    color:#333;
}
.vaofb88 {
    width: 230px;
    height: 50px;
    margin: 0 5px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 5px;
    white-space: nowrap;
    font-size: 24px;
    text-transform: uppercase;
    font-weight: 600;
    text-align: center;
    box-shadow: 0 1px 6px 0 #929292;
    transition: all 200ms ease-in-out;
    outline: none;
    border: none;
    color: #fff;
    background: linear-gradient(to bottom, #31d206 0%, #299407 50%, #31d206 100%);
}
/*#region Boostrap modal adjustment */
.modal-body {
    margin-top: 40%;
}
#modal-teams .modal-dialog  {
    max-width: 300px;
    margin: 0 auto;
}
#modal-success .modal-dialog  {
    max-width: 600px;
    margin: 0 auto;
}
#modal-teams .modal-content,
#modal-success .modal-content,
#modal-information .modal-content,
#modal-checkuser .modal-content {
    background-color: unset;
    outline: none;
    border: none;
    box-shadow: none;
}
.modal-open #modal-teams.modal,
#modal-information.modal,
#modal-checkuser.modal {
    background: rgba(0,0,0,0.75);
}
.modal-open #modal-success.modal.fade.in {
    background: rgba(0,0,0,0.75);
}

#modal-teams .close,
#modal-success .close,
#modal-information .close
#modal-checkuser .close {
    border: none;
    outline: none;
    position: absolute;
    top: 0;
    right: 0;
    color: #333;
    opacity: 1;
    z-index: 999;
    cursor: pointer;
    width: 22px;
    height: 22px;
    background: white;
    border-radius: 50%;
    transition: all 100ms ease-out;
}
#modal-teams .close span,
#modal-success .close span,
#modal-information .close span,
#modal-checkuser .close span {
    display: block;
    width: 22px;
    height: 22px;
    font-size: 22px;
}
#modal-teams .close:hover,
#modal-success .close:hover,
#modal-information .close:hover，
#modal-checkuser .close:hover {
    color: white;
    transform-origin: center center;
    background: red;
    animation: roto 300ms linear forwards;
}
.md-contents {
    display: flex;
    align-items: center;
    width: 100%;
    height: auto;
    border-radius: 5px;
    border: 1px solid #006403 ;
    backdrop-filter: blur(8px);
    padding-left: 0;
    font-size: 20px;
    color: white;
    background:#003b02 ;
    box-shadow: 0 5px 15px rgba(0, 0, 0, .5);
}
#modal-teams .md-contents {
    height: 50px;
}
#modal-information .md-contents,
    #modal-checkuser .md-contents {
    flex-direction: column;
    height: auto;
    padding: 30px 20px;
    backdrop-filter: blur(5px);
    border-radius: 15px;
    background: #00140a;
}
#modal-success .md-contents {
    flex-direction: column;
    height: auto;
    padding: 30px 20px;
    background: rgba(4, 165, 144, 0.35);
    backdrop-filter: blur(5px);
    border-radius: 15px;
    color: #00ff0e;
}
.md-contents select {
    flex: 1;
    padding: 10px;
    border-bottom-left-radius: 5px;
    background: #003b02;
    color: white;
    border: 1px solid #006403;
    outline: none;
}
.md-contents select option {
    border: 1px solid red;
}
.modal-action {
   margin-left: 10px;
}
.modal-action button {
    width: 80px;
    font-size: 16px;
    font-weight: 600;
    margin: 0 2px;
    border-radius: 5px;
    text-transform: uppercase;
    transition: all 200ms ease-in-out;
}
.modal-action button:hover {
    transform: translateY(-3px) scale(0.95);
}
.modal-action .ok {
    color: #fff;
    background-color: #28a745;
    border-color: #28a745;
}

.modal-action .cancel {
    color: #212529;
    background-color: #ffc107;
    border-color: #ffc107;
}
.suc-title {
    text-transform: uppercase;
    font-weight: 600;
    color: #ffdd00;
}
.suc-ketqua {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    width: 100%;
    margin: 20px 0;
    text-transform: uppercase;
}
.suc-ketqua input {
    margin-bottom: 10px;
    border-radius: 5px;
    padding: 3px 10px;
}
.suc-ketqua input:-webkit-autofill {
    -webkit-text-fill-color: #404040 !important;
    text-shadow: 0 0 0px #70fb15 !important;
}

.suc-ketqua p {
    display: flex;
    flex-direction: column;
    align-items: center;
    font-weight: 600;
    color: #ffc107;
}

.suc-ketqua p span:nth-child(2) {
    font-size: 40px;
    font-weight: 600;
}
.thedash {
    width: 20px;
    height: 5px;
    background: #00ff0e;
}
.info-champion {
    text-transform: uppercase;
    font-weight: 600;
    color: #ffdd00;
}

.md-cu-act {
    margin-top: 20px;
    display: flex;
    flex-wrap: wrap;
}
.md-cu-act a,
.md-cu-act button {
    width: 230px;
    height: 50px;
    margin: 0 5px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 5px;
    background: #fee71b;
    background-image: linear-gradient(to right top, #ffc400, #ffca03, #ffd107, #ffd70d, #ffde13, #ffe22c, #fee73d, #feeb4c, #feee65, #fff17c, #fff391, #fff6a6);
    color: #2b2700;
    white-space: nowrap;
    font-size: 24px;
    text-transform: uppercase;
    font-weight: 600;
    text-align: center;
    box-shadow: 0 1px 6px 0px #929292;
    transition: all 200ms ease-in-out;
}
.md-cu-act button {
    outline: none;
    border: none;
    color: white;
    background: linear-gradient(to bottom, #31d206 0%, #299407 50%, #31d206 100%);
}


/*#endregion Boostrap modal adjustment */


.errorMsg {
    padding: 8px;
    background: #e74e4e;
    border: 1px solid #860404;
    color: #fff;
    display: none;
    font-size: 14px;
    position: fixed;
    top: 10px;
    left: 10px;
    z-index: 9999999;
    box-sizing: border-box;
    right: 10px;
    -moz-box-sizing: border-box;
    border-radius: 5px;
}

.successMsg {
    padding: 8px;
    background: #6bb34b;
    border: 1px solid #1b4a07;
    color: #fff;
    display: none;
    font-size: 14px;
    position: fixed;
    top: 10px;
    left: 10px;
    z-index: 999;
    box-sizing: border-box;
    right: 10px;
    -moz-box-sizing: border-box;
    border-radius: 5px;
}

@media (max-width:1024px) {
    .hd-menu {
        flex-basis: 100%;
        display: flex;
        justify-content: flex-end;
    }
    #predictionForm {
        padding: 30px 20px;
        width: 100%;
    }
    #predictionForm .flex{
        justify-content: space-evenly;
    }
    
    .img-vs{
        display: none;
    }
    .pre-label {
        font-size: 16px;
    }
}
@media (max-width:900px) {
    .btn-hd {
        width: 120px;
        height: 33px;
        font-size: 14px;
    }
     .reward-cards {
        justify-content: center;
        flex-wrap: wrap;
    }
    .reward-cards > div {
        flex-basis: 45%;
    }
    .page2 .page-ct {
        padding-top: 0px;
    }
    .justformob {
        transform: translateY(15px);
    }
}

@media (max-width:768px) {
    .header {
        height: 55px;
    }
    .mn-items a{
        font-size: 14px;
    }
    #myMenu{
        display: none;
    }
    .page {
        height: auto;
        overflow-y: auto;
        color: white;
    }
    .name-style,
    .user-form {
        font-size: 22px;
    }
    .btn-pick-team,
    .btn-pick-team.username {
        width: 200px;
    }
    .btn-pick-team.username {
        font-size: 18px;
    }
    .tnc-rules{
        font-size: 16px;
    }
    .phanthuong {
        font-size: 30px;
    }
    #modal-information .md-contents, #modal-checkuser .md-contents{
        padding: 20px 10px;
        font-size: 14px;
    }
    .md-cu-act a,
    .md-cu-act button {
        font-size: 13px;
        width: 120px;
        height: 40px;
    }
    .suc-title {
        font-size: 16px;
    }
}
@media (max-width:600px) {
    .header {
        height: auto;
        flex-direction: column;
    }
    .hd-menu {
        justify-content : center;
    }
    .mn-items a {
        width: 150px;
    }
    .hd-logo {
        width: 100%;
        height: 60px;
        text-align: center;
    
    }
    .hd-logo::before {
        display: none;
        right: -25px;
        width: 25px;
    }
    .btn-dangky{
        margin-left: 6px;
    }
    .btn-pick-team {
        width: 160px;
    }
    .name-style,
    .user-form {
        font-size: 18px;
    }
    .img-vs {
        position: absolute;
        bottom: -15px;
        left: 51%;
        transform: translateX(-50%);
    }
    .reward-cards,.steps {
        flex-direction: column;
    }
}




.loading {
	border-bottom: 5px solid rgba(0, 255, 64, 0.5);
	border-left: 5px solid rgba(0, 255, 64, 0.5);
	border-right: 5px solid rgba(0, 255, 64, 0.5);
	border-top: 5px solid rgba(69, 255, 116, 0.8);
	border-radius: 100%;
	height: 28px;
	width: 28px;
	animation: spin .6s infinite linear;
    text-indent: 999em;
    margin:0 auto;
}
@keyframes spin {
	from {transform: rotate(0deg);}
	to {transform: rotate(359deg);}
}

